com.mockobjects.jms

## Class MockQueueSession

- java.lang.Object
- - com.mockobjects.MockObject
  - - com.mockobjects.jms.MockSession
    - - com.mockobjects.jms.MockQueueSession

All Implemented Interfaces:
  Verifiable

    public class MockQueueSession
    extends MockSession

### Constructor Summary

Constructors
Constructor and Description
`MockQueueSession()`

### Method Summary

Methods
`QueueBrowser` `createBrowser(Queue queue)`
`QueueBrowser` `createBrowser(Queue queue, java.lang.String messageSelector)`
`Queue` `createQueue(java.lang.String queueName)`
`QueueReceiver` `createReceiver(Queue queue)`
`QueueReceiver` `createReceiver(Queue queue, java.lang.String messageSelector)`
`QueueSender` `createSender(Queue queue)`
`TemporaryQueue` `createTemporaryQueue()`
`void` `setExpectedMessageSelector(java.lang.String messageSelector)`
`void` `setExpectedQueue(Queue queue)`
`void` `setExpectedReceivingQueue(Queue queue)`
`void` `setExpectedSendingQueue(Queue queue)`
`void` `setupCreateQueue(Queue queue)`
`void` `setupCreateQueueBrowser(QueueBrowser browser)`
`void` `setupReceiver(QueueReceiver receiver)`
`void` `setupSender(QueueSender sender)`
`void` `setupTemporaryQueue(MockTemporaryQueue temporaryQueue)`

### Methods inherited from class com.mockobjects.jms.MockSession

`close, commit, createBytesMessage, createMapMessage, createMessage, createObjectMessage, createObjectMessage, createStreamMessage, createTextMessage, createTextMessage, getMessageListener, getTransacted, recover, rollback, run, setExpectedCloseCalls, setExpectedCreateTextMessageCalls, setMessageListener, setupCreateObjectMessage, setupTextMessage, setupThrowException`

### Methods inherited from class com.mockobjects.MockObject

`notImplemented, notYetImplemented, verify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MockQueueSession

    public MockQueueSession()

### Method Detail

#### createBrowser

    public QueueBrowser createBrowser(Queue queue)
                               throws JMSException

Throws:
  `JMSException`

#### setExpectedQueue

    public void setExpectedQueue(Queue queue)

#### setupCreateQueueBrowser

    public void setupCreateQueueBrowser(QueueBrowser browser)

#### createBrowser

    public QueueBrowser createBrowser(Queue queue,
                             java.lang.String messageSelector)
                               throws JMSException

Throws:
  `JMSException`

#### setupCreateQueue

    public void setupCreateQueue(Queue queue)

#### createQueue

    public Queue createQueue(java.lang.String queueName)
                      throws JMSException

Throws:
  `JMSException`

#### createReceiver

    public QueueReceiver createReceiver(Queue queue)
                                 throws JMSException

Throws:
  `JMSException`

#### createReceiver

    public QueueReceiver createReceiver(Queue queue,
                               java.lang.String messageSelector)
                                 throws JMSException

Throws:
  `JMSException`

#### createSender

    public QueueSender createSender(Queue queue)
                             throws JMSException

Throws:
  `JMSException`

#### createTemporaryQueue

    public TemporaryQueue createTemporaryQueue()
                                        throws JMSException

Throws:
  `JMSException`

#### setExpectedSendingQueue

    public void setExpectedSendingQueue(Queue queue)

#### setExpectedReceivingQueue

    public void setExpectedReceivingQueue(Queue queue)

#### setupReceiver

    public void setupReceiver(QueueReceiver receiver)

#### setupSender

    public void setupSender(QueueSender sender)

#### setupTemporaryQueue

    public void setupTemporaryQueue(MockTemporaryQueue temporaryQueue)

#### setExpectedMessageSelector

    public void setExpectedMessageSelector(java.lang.String messageSelector)